$(function(){
$("#treemap").dxTreeMap({
dataSource: citiesPopulation,
title: "The Most Populated Cities by Continents",
idField: "id",
parentField: "parentId",
tooltip: {
enabled: true,
format: "thousands",
customizeTooltip: function (arg) {
var data = arg.node.data,
result = null;
if (arg.node.isLeaf()) {
result = "<span class='city'>" + data.name + "</span> (" +
data.country + ")<br/>Population: " + arg.valueText;
}
return {
text: result
};
}
}
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.4/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="treemap"></div>
</div>
</body>
</html>
#treemap {
height: 500px;
}
.city {
font-weight: 500;
}
var citiesPopulation = [{
id: "1",
name: "Africa"
}, {
id: "1_1",
parentId: "1",
value: 21324000,
name: "Lagos",
country: "Nigeria"
}, {
id: "1_2",
parentId: "1",
value: 9735000,
name: "Kinshasa",
country: "Democratic Republic of the Congo"
}, {
id: "1_3",
parentId: "1",
value: 9278441,
name: "Cairo",
country: "Egypt"
}, {
id: "2",
name: "Asia"
}, {
id: "2_1",
parentId: "2",
value: 24256800,
name: "Shanghai",
country: "China"
}, {
id: "2_2",
parentId: "2",
value: 23500000,
name: "Karachi",
country: "Pakistan"
}, {
id: "2_3",
parentId: "2",
value: 21516000,
name: "Beijing",
country: "China"
}, {
id: "2_4",
parentId: "2",
value: 16787941,
name: "Delhi",
country: "India"
}, {
id: "2_5",
parentId: "2",
value: 15200000,
name: "Tianjin",
country: "China"
}, {
id: "3",
name: "Australia"
}, {
id: "3_1",
parentId: "3",
value: 4840600,
name: "Sydney",
country: "Austraila"
}, {
id: "3_2",
parentId: "3",
value: 4440000,
name: "Melbourne",
country: "Austraila"
}, {
id: "4",
name: "Europe"
}, {
id: "4_1",
parentId: "4",
value: 14160467,
name: "Istanbul",
country: "Turkey"
}, {
id: "4_2",
parentId: "4",
value: 12197596,
name: "Moscow",
country: "Russia"
}, {
id: "4_3",
parentId: "4",
value: 8538689,
name: "London",
country: "United Kingdom"
}, {
id: "4_4",
parentId: "4",
value: 5191690,
name: "Saint Petersburg",
country: "Russia"
}, {
id: "4_5",
parentId: "4",
value: 4470800,
name: "Ankara",
country: "Turkey"
}, {
id: "4_6",
parentId: "4",
value: 3517424,
name: "Berlin",
country: "Germany"
}, {
id: "5",
name: "North America"
}, {
id: "5_1",
parentId: "5",
value: 8874724,
name: "Mexico City",
country: "Mexico"
}, {
id: "5_2",
parentId: "5",
value: 8550405,
name: "New York City",
country: "United States"
}, {
id: "5_3",
parentId: "5",
value: 3884307,
name: "Los Angeles",
country: "United States"
}, {
id: "5_4",
parentId: "5",
value: 2808503,
name: "Toronto",
country: "Canada"
}, {
id: "6",
name: "South America"
}, {
id: "6_1",
parentId: "6",
value: 11895893,
name: "São Paulo",
country: "Brazil"
}, {
id: "6_2",
parentId: "6",
value: 8693387,
name: "Lima",
country: "Peru"
}, {
id: "6_3",
parentId: "6",
value: 7776845,
name: "Bogotá",
country: "Colombia"
}, {
id: "6_4",
parentId: "6",
value: 6429923,
name: "Rio de Janeiro",
country: "Brazil"
}];

<dx-tree-map
id="treemap"
[dataSource]="citiesPopulations"
title="The Most Populated Cities by Continents"
idField="id"
parentField="parentId"
>
<dxo-tooltip
[enabled]="true"
format="thousands"
[customizeTooltip]="customizeTooltip"
></dxo-tooltip>
</dx-tree-map>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxTreeMapModule } from 'devextreme-angular';
import { CitiesPopulation, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service],
})
export class AppComponent {
citiesPopulations: CitiesPopulation[];
constructor(service: Service) {
this.citiesPopulations = service.getCitiesPopulations();
}
customizeTooltip(arg) {
const data = arg.node.data;
let result = null;
if (arg.node.isLeaf()) {
result = `<span class='city'>${data.name}</span> (${
data.country})<br/>Population: ${arg.valueText}`;
}
return {
text: result,
};
}
}
@NgModule({
imports: [
BrowserModule,
DxTreeMapModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #treemap {
height: 500px;
}
::ng-deep .city {
font-weight: 500;
}
import { Injectable } from '@angular/core';
export interface CitiesPopulation {
id: string;
name: string;
parentId?: string;
value?: number;
country?: string;
}
const citiesPopulations: CitiesPopulation[] = [{
id: '1',
name: 'Africa',
}, {
id: '1_1',
parentId: '1',
value: 21324000,
name: 'Lagos',
country: 'Nigeria',
}, {
id: '1_2',
parentId: '1',
value: 9735000,
name: 'Kinshasa',
country: 'Democratic Republic of the Congo',
}, {
id: '1_3',
parentId: '1',
value: 9278441,
name: 'Cairo',
country: 'Egypt',
}, {
id: '2',
name: 'Asia',
}, {
id: '2_1',
parentId: '2',
value: 24256800,
name: 'Shanghai',
country: 'China',
}, {
id: '2_2',
parentId: '2',
value: 23500000,
name: 'Karachi',
country: 'Pakistan',
}, {
id: '2_3',
parentId: '2',
value: 21516000,
name: 'Beijing',
country: 'China',
}, {
id: '2_4',
parentId: '2',
value: 16787941,
name: 'Delhi',
country: 'India',
}, {
id: '2_5',
parentId: '2',
value: 15200000,
name: 'Tianjin',
country: 'China',
}, {
id: '3',
name: 'Australia',
}, {
id: '3_1',
parentId: '3',
value: 4840600,
name: 'Sydney',
country: 'Austraila',
}, {
id: '3_2',
parentId: '3',
value: 4440000,
name: 'Melbourne',
country: 'Austraila',
}, {
id: '4',
name: 'Europe',
}, {
id: '4_1',
parentId: '4',
value: 14160467,
name: 'Istanbul',
country: 'Turkey',
}, {
id: '4_2',
parentId: '4',
value: 12197596,
name: 'Moscow',
country: 'Russia',
}, {
id: '4_3',
parentId: '4',
value: 8538689,
name: 'London',
country: 'United Kingdom',
}, {
id: '4_4',
parentId: '4',
value: 5191690,
name: 'Saint Petersburg',
country: 'Russia',
}, {
id: '4_5',
parentId: '4',
value: 4470800,
name: 'Ankara',
country: 'Turkey',
}, {
id: '4_6',
parentId: '4',
value: 3517424,
name: 'Berlin',
country: 'Germany',
}, {
id: '5',
name: 'North America',
}, {
id: '5_1',
parentId: '5',
value: 8874724,
name: 'Mexico City',
country: 'Mexico',
}, {
id: '5_2',
parentId: '5',
value: 8550405,
name: 'New York City',
country: 'United States',
}, {
id: '5_3',
parentId: '5',
value: 3884307,
name: 'Los Angeles',
country: 'United States',
}, {
id: '5_4',
parentId: '5',
value: 2808503,
name: 'Toronto',
country: 'Canada',
}, {
id: '6',
name: 'South America',
}, {
id: '6_1',
parentId: '6',
value: 11895893,
name: 'São Paulo',
country: 'Brazil',
}, {
id: '6_2',
parentId: '6',
value: 8693387,
name: 'Lima',
country: 'Peru',
}, {
id: '6_3',
parentId: '6',
value: 7776845,
name: 'Bogotá',
country: 'Colombia',
}, {
id: '6_4',
parentId: '6',
value: 6429923,
name: 'Rio de Janeiro',
country: 'Brazil',
}];
@Injectable()
export class Service {
getCitiesPopulations() {
return citiesPopulations;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.16',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.16',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.16',
'@angular/forms': 'npm:@angular/forms@12.2.16',
'@angular/common': 'npm:@angular/common@12.2.16',
'@angular/compiler': 'npm:@angular/compiler@12.2.16',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.4/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@22.1.4/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.63',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.32',
'devextreme-angular': 'npm:devextreme-angular@22.1.4',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.16/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@22.1.4/*/package.json',
'npm:devextreme-angular@22.1.4/ui/*/package.json',
'npm:devextreme-angular@22.1.4/package.json',
'npm:devexpress-diagram@2.1.63/package.json',
'npm:devexpress-gantt@4.1.32/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.11.4/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

import React from 'react';
import TreeMap, { Tooltip } from 'devextreme-react/tree-map';
import { citiesPopulation } from './data.js';
function App() {
return (
<TreeMap
id="treemap"
dataSource={citiesPopulation}
title="The Most Populated Cities by Continents"
idField="id"
parentField="parentId"
>
<Tooltip
enabled={true}
format="thousands"
customizeTooltip={customizeTooltip}
/>
</TreeMap>
);
}
function customizeTooltip(arg) {
const { data } = arg.node;
return {
text: arg.node.isLeaf()
? `<span class="city">${data.name}</span> (${data.country})<br/>Population: ${arg.valueText}`
: null,
};
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#treemap {
height: 500px;
}
.city {
font-weight: 500;
}
export const citiesPopulation = [{
id: '1',
name: 'Africa',
}, {
id: '1_1',
parentId: '1',
value: 21324000,
name: 'Lagos',
country: 'Nigeria',
}, {
id: '1_2',
parentId: '1',
value: 9735000,
name: 'Kinshasa',
country: 'Democratic Republic of the Congo',
}, {
id: '1_3',
parentId: '1',
value: 9278441,
name: 'Cairo',
country: 'Egypt',
}, {
id: '2',
name: 'Asia',
}, {
id: '2_1',
parentId: '2',
value: 24256800,
name: 'Shanghai',
country: 'China',
}, {
id: '2_2',
parentId: '2',
value: 23500000,
name: 'Karachi',
country: 'Pakistan',
}, {
id: '2_3',
parentId: '2',
value: 21516000,
name: 'Beijing',
country: 'China',
}, {
id: '2_4',
parentId: '2',
value: 16787941,
name: 'Delhi',
country: 'India',
}, {
id: '2_5',
parentId: '2',
value: 15200000,
name: 'Tianjin',
country: 'China',
}, {
id: '3',
name: 'Australia',
}, {
id: '3_1',
parentId: '3',
value: 4840600,
name: 'Sydney',
country: 'Austraila',
}, {
id: '3_2',
parentId: '3',
value: 4440000,
name: 'Melbourne',
country: 'Austraila',
}, {
id: '4',
name: 'Europe',
}, {
id: '4_1',
parentId: '4',
value: 14160467,
name: 'Istanbul',
country: 'Turkey',
}, {
id: '4_2',
parentId: '4',
value: 12197596,
name: 'Moscow',
country: 'Russia',
}, {
id: '4_3',
parentId: '4',
value: 8538689,
name: 'London',
country: 'United Kingdom',
}, {
id: '4_4',
parentId: '4',
value: 5191690,
name: 'Saint Petersburg',
country: 'Russia',
}, {
id: '4_5',
parentId: '4',
value: 4470800,
name: 'Ankara',
country: 'Turkey',
}, {
id: '4_6',
parentId: '4',
value: 3517424,
name: 'Berlin',
country: 'Germany',
}, {
id: '5',
name: 'North America',
}, {
id: '5_1',
parentId: '5',
value: 8874724,
name: 'Mexico City',
country: 'Mexico',
}, {
id: '5_2',
parentId: '5',
value: 8550405,
name: 'New York City',
country: 'United States',
}, {
id: '5_3',
parentId: '5',
value: 3884307,
name: 'Los Angeles',
country: 'United States',
}, {
id: '5_4',
parentId: '5',
value: 2808503,
name: 'Toronto',
country: 'Canada',
}, {
id: '6',
name: 'South America',
}, {
id: '6_1',
parentId: '6',
value: 11895893,
name: 'São Paulo',
country: 'Brazil',
}, {
id: '6_2',
parentId: '6',
value: 8693387,
name: 'Lima',
country: 'Peru',
}, {
id: '6_3',
parentId: '6',
value: 7776845,
name: 'Bogotá',
country: 'Colombia',
}, {
id: '6_4',
parentId: '6',
value: 6429923,
name: 'Rio de Janeiro',
country: 'Brazil',
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme-react': 'npm:devextreme-react@22.2.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<template>
<DxTreeMap
id="treemap"
:data-source="citiesPopulation"
title="The Most Populated Cities by Continents"
id-field="id"
parent-field="parentId"
>
<DxTooltip
:enabled="true"
:customize-tooltip="customizeTooltip"
format="thousands"
/>
</DxTreeMap>
</template>
<script>
import DxTreeMap, { DxTooltip } from 'devextreme-vue/tree-map';
import { citiesPopulation } from './data.js';
export default {
components: {
DxTreeMap,
DxTooltip
},
data() {
return {
citiesPopulation
};
},
methods: {
customizeTooltip(arg) {
const data = arg.node.data;
return {
text: arg.node.isLeaf() ?
`<span class="city">${data.name}</span> (${data.country})<br/>Population: ${arg.valueText}` :
null
};
}
}
};
</script>
<style>
#treemap {
height: 500px;
}
.city {
font-weight: 500;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app">
</div>
</div>
</body>
</html>
export const citiesPopulation = [{
id: '1',
name: 'Africa'
}, {
id: '1_1',
parentId: '1',
value: 21324000,
name: 'Lagos',
country: 'Nigeria'
}, {
id: '1_2',
parentId: '1',
value: 9735000,
name: 'Kinshasa',
country: 'Democratic Republic of the Congo'
}, {
id: '1_3',
parentId: '1',
value: 9278441,
name: 'Cairo',
country: 'Egypt'
}, {
id: '2',
name: 'Asia'
}, {
id: '2_1',
parentId: '2',
value: 24256800,
name: 'Shanghai',
country: 'China'
}, {
id: '2_2',
parentId: '2',
value: 23500000,
name: 'Karachi',
country: 'Pakistan'
}, {
id: '2_3',
parentId: '2',
value: 21516000,
name: 'Beijing',
country: 'China'
}, {
id: '2_4',
parentId: '2',
value: 16787941,
name: 'Delhi',
country: 'India'
}, {
id: '2_5',
parentId: '2',
value: 15200000,
name: 'Tianjin',
country: 'China'
}, {
id: '3',
name: 'Australia'
}, {
id: '3_1',
parentId: '3',
value: 4840600,
name: 'Sydney',
country: 'Austraila'
}, {
id: '3_2',
parentId: '3',
value: 4440000,
name: 'Melbourne',
country: 'Austraila'
}, {
id: '4',
name: 'Europe'
}, {
id: '4_1',
parentId: '4',
value: 14160467,
name: 'Istanbul',
country: 'Turkey'
}, {
id: '4_2',
parentId: '4',
value: 12197596,
name: 'Moscow',
country: 'Russia'
}, {
id: '4_3',
parentId: '4',
value: 8538689,
name: 'London',
country: 'United Kingdom'
}, {
id: '4_4',
parentId: '4',
value: 5191690,
name: 'Saint Petersburg',
country: 'Russia'
}, {
id: '4_5',
parentId: '4',
value: 4470800,
name: 'Ankara',
country: 'Turkey'
}, {
id: '4_6',
parentId: '4',
value: 3517424,
name: 'Berlin',
country: 'Germany'
}, {
id: '5',
name: 'North America'
}, {
id: '5_1',
parentId: '5',
value: 8874724,
name: 'Mexico City',
country: 'Mexico'
}, {
id: '5_2',
parentId: '5',
value: 8550405,
name: 'New York City',
country: 'United States'
}, {
id: '5_3',
parentId: '5',
value: 3884307,
name: 'Los Angeles',
country: 'United States'
}, {
id: '5_4',
parentId: '5',
value: 2808503,
name: 'Toronto',
country: 'Canada'
}, {
id: '6',
name: 'South America'
}, {
id: '6_1',
parentId: '6',
value: 11895893,
name: 'São Paulo',
country: 'Brazil'
}, {
id: '6_2',
parentId: '6',
value: 8693387,
name: 'Lima',
country: 'Peru'
}, {
id: '6_3',
parentId: '6',
value: 7776845,
name: 'Bogotá',
country: 'Colombia'
}, {
id: '6_4',
parentId: '6',
value: 6429923,
name: 'Rio de Janeiro',
country: 'Brazil'
}];
System.config({
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader'
},
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'devextreme-vue': 'npm:devextreme-vue@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme-vue': {
main: 'index.js'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true
}
});